aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEmilien Macchi <emilien@redhat.com>2017-10-30 07:43:04 -0700
committerEmilien Macchi <emilien@redhat.com>2017-11-02 01:02:01 +0000
commit8f0ae91538d8bc79685a4b96d5911733385cd763 (patch)
tree328258ff5313f368bdc8b26f3bf9ccf488316882
parent06f8f2eb1c60bcbb92989880866f43fb5422d865 (diff)
RHSM: do not use retry to deploy katello-agent
katello-agent is an optional package, we don't want to use retry. The package is available or not. Fixing a regression from https://review.openstack.org/#/c/386529 Since we use "| true", we can't really use "retry" here. Change-Id: Id8cd9ac54e158ee1743b2f72b169b3a066f69168 Closes-Bug: #1728614 (cherry picked from commit d9f7b01c6c21b306005bad12fcab103b0a9e7591)
-rw-r--r--extraconfig/pre_deploy/rhel-registration/scripts/rhel-registration2
1 files changed, 1 insertions, 1 deletions
diff --git a/extraconfig/pre_deploy/rhel-registration/scripts/rhel-registration b/extraconfig/pre_deploy/rhel-registration/scripts/rhel-registration
index d754aafd..c7d0b231 100644
--- a/extraconfig/pre_deploy/rhel-registration/scripts/rhel-registration
+++ b/extraconfig/pre_deploy/rhel-registration/scripts/rhel-registration
@@ -247,7 +247,7 @@ case "${REG_METHOD:-}" in
rpm -Uvh katello-ca-consumer-latest.noarch.rpm || true
retry subscription-manager register $opts
retry subscription-manager $repos
- retry yum install -y katello-agent || true # needed for errata reporting to satellite6
+ yum install -y katello-agent || true # needed for errata reporting to satellite6
katello-package-upload
# https://bugs.launchpad.net/tripleo/+bug/1711435